Skip to content
Start here

Update Target Environment

client.vulnerabilityScanner.targetEnvironments.update(stringtargetEnvironmentId, TargetEnvironmentUpdateParams { account_id, name, target, description } params, RequestOptionsoptions?): TargetEnvironmentUpdateResponse { id, name, target, description }
PUT/accounts/{account_id}/vuln_scanner/target_environments/{target_environment_id}

Replaces a target environment. All fields must be provided.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
targetEnvironmentId: string
formatuuid
params: TargetEnvironmentUpdateParams { account_id, name, target, description }
account_id: string

Path param: Identifier.

maxLength32
name: string

Body param: Human-readable name.

target: Target

Body param: Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

type: "zone"
zone_tag: string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
description?: string | null

Body param: Optional description.

ReturnsExpand Collapse
TargetEnvironmentUpdateResponse { id, name, target, description }
id: string

Target environment identifier.

formatuuid
name: string

Human-readable name.

target: Target { type, zone_tag }

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

type: "zone"
zone_tag: string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
description?: string | null

Optional description providing additional context.

Update Target Environment

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const targetEnvironment = await client.vulnerabilityScanner.targetEnvironments.update(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  {
    account_id: '023e105f4ecef8ad9ca31a8372d0c353',
    name: 'Production Zone',
    target: { type: 'zone', zone_tag: 'd8e8fca2dc0f896fd7cb4cb0031ba249' },
  },
);

console.log(targetEnvironment.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "name": "Production Zone",
    "target": {
      "type": "zone",
      "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
    },
    "description": "Main production environment"
  },
  "result_info": {}
}